package com.lz.modules.equipment.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.equipment.entity.EquipmentQr;

import java.util.List;

/**
* <p>
* 设备表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-06
*/
public interface EquipmentQrService extends IService<EquipmentQr> {



	EquipmentQr selectEquipmentQrById(Long id);


	Long insertEquipmentQr(EquipmentQr equipmentQr);


	int updateEquipmentQrById(EquipmentQr equipmentQr);


	int updateCoverEquipmentQrById(EquipmentQr equipmentQr);


	int deleteEquipmentQrById(Long id);

	List<EquipmentQr> findRrBySpec(Long specsId);


	EquipmentQr selectByOwnerIdType(Long id, int type, Long specsId);
}